export declare type AddressType = 'base64' | 'raw';
interface AddressOptions {
    urlSafe?: boolean;
    workchain?: number;
    bounceable?: boolean;
    testOnly?: boolean;
}
declare class Address {
    private readonly _hash;
    private readonly _workchain;
    private readonly _bounceable;
    private readonly _testOnly;
    constructor(address: string | Address);
    get hash(): Uint8Array;
    get workchain(): number;
    get bounceable(): boolean;
    get testOnly(): boolean;
    private static isEncoded;
    private static isRaw;
    private static parseEncoded;
    private static parseAddress;
    private static parseRaw;
    private static encodeTag;
    private static decodeTag;
    toString(type?: AddressType, options?: AddressOptions): string;
    static readonly NONE: any;
    private static isAddress;
    static isValid(address: any): boolean;
}
export { Address };
