import { Bit } from '../types/bit';
import { Cell } from './cell';
import { Coins } from '../coins';
import { Address } from '../address';
declare class Slice {
    private _bits;
    private _refs;
    private constructor();
    get bits(): Bit[];
    get refs(): Cell[];
    private static bitsToBigUint;
    private static bitsToBigInt;
    private static bitsToIntUint;
    skip(size: number): Slice;
    skipDict(): this;
    loadRef(): Cell;
    preloadRef(): Cell;
    loadBit(): Bit;
    preloadBit(): Bit;
    loadBits(size: number): Bit[];
    preloadBits(size: number): Bit[];
    loadInt(size: number): number;
    preloadInt(size: number): number;
    loadBigInt(size: number): bigint;
    preloadBigInt(size: number): bigint;
    loadUint(size: number): number;
    preloadUint(size: number): number;
    loadBigUint(size: number): bigint;
    preloadBigUint(size: number): bigint;
    loadVarInt(length: number): number;
    preloadVarInt(length: number): number;
    loadVarBigInt(length: number): bigint;
    preloadVarBigInt(length: number): bigint;
    loadVarUint(length: number): number;
    preloadVarUint(length: number): number;
    loadVarBigUint(length: number): bigint;
    preloadVarBigUint(length: number): bigint;
    loadBytes(size: number): Uint8Array;
    preloadBytes(size: number): Uint8Array;
    loadString(size?: number): string;
    preloadString(size?: number): string;
    loadAddress(): Address | null;
    preloadAddress(): Address;
    loadCoins(): Coins;
    preloadCoins(): Coins;
    loadDict(): Cell;
    preloadDict(): Cell;
    static parse(cell: Cell): Slice;
}
export { Slice };
